Skip to main content

TenantFeatures

Validado (off-chain / infra)
Suite misc-infra — validado.

Gerada automaticamente do spec OpenAPI da API (fonte de verdade). 3 endpoint(s).

List tenant features

GET /v1/tenant-features

List self-service feature flags configured for the authenticated tenant.

Auth: api-key

Respostas: 200


Update tenant feature

POST /v1/tenant-features/{feature}

Enable or disable a supported feature flag for the authenticated tenant.

Auth: api-key

Path params: feature

Request body:

CampoTipoObrigatórioDescrição
enabledbooleansimEnable or disable the feature for the authenticated tenant.
configobjectnãoOptional feature-specific configuration bag.

Respostas: 200, 201, 400


Update feature (PUT legacy)

PUT /v1/tenant-features/{feature}

Auth: api-key

Path params: feature

Request body:

CampoTipoObrigatórioDescrição
enabledbooleansimEnable or disable the feature for the authenticated tenant.
configobjectnãoOptional feature-specific configuration bag.

Respostas: 200